#%%global __libtoolize :
%global momorel 4
%define phpextdir /usr/lib/php4

Summary: Round Robin Database Tools to store and display time-series data
Name: rrdtool
Version: 1.0.48
Release: %{momorel}m
License: GPL
Group: Applications/Databases
URL: http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/
Source: http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/pub/%{name}-%{version}.tar.gz
NoSource: 0
Patch: php-rrdtool-config.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.8.2
Requires: libpng, zlib
BuildRequires: gcc-c++, perl, php-devel >= 4.0, openssl-devel
BuildRequires: libpng-devel, zlib-devel

%description
RRD is the Acronym for Round Robin Database. RRD is a system to store and 
display time-series data (i.e. network bandwidth, machine-room temperature, 
server load average). It stores the data in a very compact way that will not 
expand over time, and it presents useful graphs by processing the data to 
enforce a certain data density. It can be used either via simple wrapper 
scripts (from shell or Perl) or via frontends that poll network devices and 
put a friendly user interface on it.

%package devel
Summary: RRDtool static libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). This package allow you to use directly this library.

%package -n php-rrdtool
Summary: RRDtool module for PHP
Group: Development/Languages
Requires: %{name} = %{version}-%{release}, php >= 4.0

%description -n php-rrdtool
The php-%{name} package includes a dynamic shared object (DSO) that adds
RRDtool bindings to the PHP HTML-embedded scripting language.

%prep
%setup -q

%build
CFLAGS="%{optflags} -fno-fast-math" %configure --enable-shared \
		    --enable-local-libpng \
		    --enable-local-zlib
%{__make} %{?_smp_mflags}

# Build the php4 module, the tmp install is required
%define rrdtmpdir %{_tmppath}/%{name}-%{version}-tmpinstall
%{__make} install DESTDIR="%{rrdtmpdir}" transform='s,x,x,'
pushd contrib/php4
    ./configure \
            --with-rrdtool="%{rrdtmpdir}%{_prefix}"
    %{__make} %{?_smp_mflags}
popd
%{__rm} -rf %{rrdtmpdir}

# Fix @perl@ and @PERL@
find examples/ -type f \
    -exec /usr/bin/perl -pi -e 's|^#! \@perl\@|#!/usr/bin/perl|gi' \{\} \;
find examples/ -name "*.pl" \
    -exec perl -pi -e 's|\015||gi' \{\} \;

%install
%{__rm} -rf %{buildroot}
%makeinstall transform='s,x,x,'

# Install the php4 module
%{__install} -m 755 -D contrib/php4/modules/rrdtool.so \
    %{buildroot}%{phpextdir}/rrdtool.so
# Clean up the examples for inclusion as docs
%{__rm} -rf contrib/php4/examples/CVS
# Put the php config bit into place
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/rrdtool.ini << EOF
; Enable rrdtool extension module
extension=rrdtool.so
EOF

# Put perl files back where they belong
%{__mkdir_p} %{buildroot}%{perl_sitearch}/
%{__mv} %{buildroot}%{_libdir}/perl/* %{buildroot}%{perl_sitearch}/

# We only want .txt and .html files for the main documentation
%{__mkdir_p} doc2/doc
%{__cp} -a doc/*.txt doc/*.html doc2/doc/

# Clean up the examples and contrib
%{__rm} -f examples/Makefile*
%{__rm} -f contrib/Makefile*
# This is so rpm doesn't pick up perl module dependencies automatically
find examples contrib -type f -exec chmod 644 {} \;

# Put man pages back into place...
%{__mkdir_p} %{buildroot}%{_mandir}/
%{__mv} %{buildroot}%{_prefix}/man/* %{buildroot}%{_mandir}/

# Clean up the buildroot
%{__rm} -rf %{buildroot}%{_prefix}/{contrib,doc,examples,html}


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGES CONTRIBUTORS COPYING COPYRIGHT README TODO doc2/doc
%{_bindir}/*
%{_libdir}/*.so.*
%{perl_sitearch}/*.pm
%{perl_sitearch}/auto/*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root, 0755)
%doc examples/
%doc contrib/add_ds contrib/killspike contrib/log2rrd contrib/rrdexplorer
%doc contrib/rrdfetchnames contrib/rrd-file-icon contrib/rrdlastds
%doc contrib/rrdproc contrib/rrdview contrib/snmpstats contrib/trytime
%{_includedir}/*.h
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%files -n php-rrdtool
%defattr(-, root, root)
%doc contrib/php4/examples contrib/php4/README
%config(noreplace) %{_sysconfdir}/php.d/rrdtool.ini
%{phpextdir}/rrdtool.so

%changelog
* Mon Jul 19 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.48-4m)
- add php-rrdtool

* Wed Jul 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.48-3m)
- noexec autoconf-1.7
- add transform='s,x,x,'

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.0.48-2m)
- remove Epoch from BuildPrereq

* Sat Jun 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.48-1m)
- verup

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.40-4m)
- revised spec for rpm 4.2.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.40-3m)
- rebuild against perl-5.8.2

* Sun Nov  9 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.40-2m)
- rebuild against perl-5.8.1

* Mon Nov 25 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.40-1m)
- rebuild against perl-5.8.0

* Fri Sep 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.38-5m)
- add Provides: /usr/bin/rrdcgi

* Thu Aug  8 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.38-4m)
- move site_perl directory [Momonga-devel.ja:00311] thanks Kyoichi Ozaki

* Wed Jul 31 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.38-3m)
- remove AutoReq: 0
- rrdtool-devel: Requires: %{name} = %{version}-%{release}
- rrdtool: Obsoletes: rrdtool-tcl

* Wed Jul 31 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.38-2m)
- use 'automake-old' instead of 'automake'

* Tue Jul 30 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.38-1m)
- version up 1.0.38
- modified specfile

* Sun Apr 28 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.0.37-2k)
- chobitto syuusei

* Sun Apr 28 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.0.37-1k)
- up to 1.0.37
- irewasure
- brush up spec

* Tue Mar 12 2002 Masahiro Takahata <takahata@kondara.org>
- (1.0.34-2k)
- upgrade to 1.0.34-2k
- replaced zlib 1.1.3 with 1.1.4

* Mon Nov 19 2001 Masahiro Takahata <takahata@kondara.org>
- (1.0.33-2k)
- the first release
